html {
    position: relative;
    min-height: 100%;
    background-color: black;
    font-size: 12px;
}

body {
    margin-bottom: 60px;
    background-color: black;
}

.red, .blue, .yellow, .green {
    background-color: black;
    font-size: 1em;
}

.red {
    color: red;
}

.blue {
    color: blue;
}

.yellow {
    color: yellow;
}

.green {
    color: green;
}

#spectrumCanvas {
    width: 100%;
    height: 100%;
    border: 1px solid #ccc;
    background-color: #000;
    box-sizing: border-box;
/*    overflow: hidden;*/
}

.navbar-nav {
    display: flex;
    justify-content: center;
}

.nav-item .nav-link {
    font-size: 1.1em;
    color: #6c757d;
    transition: color 0.3s ease;
}

    .nav-item .nav-link:hover {
        color: #ffffff;
    }

.button-container {
    margin-bottom: 20px;
    display: flex;
    justify-content: center;
}

#spectrum-analyzer-container .modern-button {
    background-color: #1e3a8a;
    color: #ffffff;
    border: none;
    padding: 12px 30px;
    border-radius: 50px;
    font-size: 1.2rem;
    font-weight: bold;
    cursor: pointer;
    transition: background-color 0.3s ease, box-shadow 0.3s ease;
    box-shadow: 0px 4px 6px rgba(0, 0, 0, 0.1);
}

    #spectrum-analyzer-container .modern-button:hover:not(:disabled) {
        background-color: #2b5db1;
        box-shadow: 0px 6px 12px rgba(0, 0, 0, 0.15);
    }

    #spectrum-analyzer-container .modern-button:active:not(:disabled) {
        background-color: #16376d;
        box-shadow: 0px 3px 8px rgba(0, 0, 0, 0.2);
    }

    #spectrum-analyzer-container .modern-button:disabled {
        background-color: #b0b0b0;
        cursor: not-allowed;
    }

#spectrum-analyzer-container .button-group {
    display: flex;
    justify-content: center;
    gap: 1rem;
    margin-bottom: 2rem;
    flex-wrap: wrap;
}

#spectrum-analyzer-container.text-center {
    display: flex;
    flex-direction: column;
    align-items: center;
}

@media (max-width: 768px) {
    html {
        font-size: 9px;
    }

    #spectrumCanvas {
        height: 100%;
    }

    .modern-button {
        padding: 10px 20px;
        font-size: 1rem;
    }

    #spectrum-analyzer-container .button-group {
        gap: 10px;
        flex-direction: column;
    }

    #spectrum-analyzer-container {
        width: 100%;
        height: 100vh;
        overflow: hidden;
    }
}

@media (max-width: 1024px) {
    html {
        font-size: 10px;
    }

    .modern-button {
        font-size: 1rem;
    }

    #spectrum-analyzer-container .button-group {
        margin-bottom: 1.5rem;
    }
}
